<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['id_sucursal1'])) {
    $errors[] = "ID VACIO";
} else if (!empty($_POST['id_sucursal1'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    //Archivo de funciones PHP
    require_once "../funciones.php";
    $session_id     = session_id();
    $sucursal_users = $_SESSION['sucursal_users'];
    $simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
    //Comprobamos si hay archivos en la tabla temporal
    $sql_count = mysqli_query($conexion, "select session_id, sucursal_tmp from tmp_traslado where session_id='" . $session_id . "' and sucursal_tmp='" . $sucursal_users . "'");
    $count     = mysqli_num_rows($sql_count);
    if ($count == 0) {
        echo "<script>
        swal({
          title: 'No hay Productos agregados en la factura',
          text: 'Intentar nuevamente',
          type: 'error',
          confirmButtonText: 'ok'
      })</script>";
        exit;
    }
    // escaping, additionally removing everything that could be (html/javascript-) code
    $id_sucursal     = intval($_POST['id_sucursal1']);
    $id_sucursal2     = intval($_POST['id_sucursal2']);
    $id_comp        = intval($_POST['id_comp']);
    $id_vendedor    = intval($_SESSION['id_users']);
    $users          = intval($_SESSION['id_users']);
    $condiciones    = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['condiciones'], ENT_QUOTES)));
    $numero_factura = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST["factura"], ENT_QUOTES)));

    $total_ft       = floatval($_POST['total_ft']);
    $date_added     = date("Y-m-d H:i:s");

    //Comprobantes
    $sql         = mysqli_query($conexion, "select * from comprobantes where  id_comp ='$id_comp'");
    $rw          = mysqli_fetch_array($sql);
    $serie_comp  = $rw['serie_comp'];
    $desde_comp  = $rw['desde_comp'];
    $hasta_comp  = $rw['hasta_comp'];
    $actual_comp = $rw['actual_comp'];
    $long_comp   = $rw['long_comp'];

    $rs = mysqli_query($conexion, "SELECT MAX(num_fact) AS factura FROM correlativos WHERE tipo_fact='$id_comp'") or die('error ' . mysqli_error($conexion));
    $row          = mysqli_fetch_array($rs);
    $numfactura = $row['factura'];
    $test = $numfactura + 1;
    $formato = str_pad($test, $long_comp, "0", STR_PAD_LEFT);
    $factura = $serie_comp . '' . $formato;
    //control del correlativo
    $insert_correlativo = mysqli_query($conexion, "INSERT INTO correlativos VALUES (NULL,'$test','$id_comp','$sucursal_users')");
    //Seleccionamos el ultimo compo numero_fatura y aumentamos una
    $sql        = mysqli_query($conexion, "select MAX(id_factura) as last from facturas_traslados");
    $rw         = mysqli_fetch_array($sql);
    $id_factura = $rw['last'] + 1;
    // consulta principal
    $nums           = 1;
    $impuesto       = get_row('perfil', 'impuesto', 'id_perfil', 1);
    $sumador_total  = 0;
    $sum_total      = 0;
    $total_impuesto = 0;
    $t_iva          = 0;
    $sql            = mysqli_query($conexion, "select * from productos, tmp_traslado where productos.id_producto=tmp_traslado.id_producto and tmp_traslado.session_id='" . $session_id . "' and tmp_traslado.sucursal_tmp='" . $sucursal_users . "'");
    while ($row = mysqli_fetch_array($sql)) {
        $id_tmp          = $row["id_tmp"];
        $id_producto     = $row['id_producto'];
        $codigo_producto = $row['codigo_producto'];
        $cantidad        = $row['cantidad_tmp'];
        $desc_tmp        = $row['desc_tmp'];
        $nombre_producto = $row['nombre_producto'];

        $precio_venta   = $row['precio_tmp'];
        $costo_producto = $row['costo_producto'];
        $precio_venta_f = number_format($precio_venta, 2); //Formateo variables
        $precio_venta_r = str_replace(",", "", $precio_venta_f); //Reemplazo las comas
        $precio_total   = $precio_venta_r * $cantidad;
        $final_items    = rebajas($precio_total, $desc_tmp); //Aplicando el descuento
        /*--------------------------------------------------------------------------------*/
        $precio_total_f = number_format($final_items, 2); //Precio total formateado
        $precio_total_r = str_replace(",", "", $precio_total_f); //Reemplazo las comas
        $sumador_total += $precio_total_r; //Sumador
        /* CONTROL DEL IVA */
        $subtotal = number_format($sumador_total, 2, '.', '');
        if ($row['iva_producto'] == 1) {
            $total_iva = iva($precio_venta);
        } else {
            $total_iva = 0;
        }
        $total_impuesto += rebajas($total_iva, $desc_tmp) * $cantidad;
        /* FIN DEL IVA*/
        //Insert en la tabla detalle_factura
        $insert_detail = mysqli_query($conexion, "INSERT INTO detalle_fact_traslado VALUES (NULL,'$id_factura','$factura','$id_producto','$cantidad','$desc_tmp','$precio_venta_r','$precio_total','$id_sucursal','$id_sucursal2')");
        //GURDAMOS LAS EN EL KARDEX
        $saldo_total = $cantidad * $costo_producto;
        $sql_kardex  = mysqli_query($conexion, "select * from kardex where producto_kardex='" . $id_producto . "' order by id_kardex DESC LIMIT 1");
        $rww         = mysqli_fetch_array($sql_kardex);
        $id_prod     = !empty($rww['producto_kardex']);
        $costo_saldo = !empty($rww['costo_saldo']);
        $cant_saldo  = !empty($rww['cant_saldo']) - $cantidad;
        //$nueva_cantidad = $cant_saldo - $cantidad;
        $nuevo_saldo = $cant_saldo * $costo_producto;
        $tipo        = 2;
        guardar_salidas($date_added, $id_producto, $cantidad, $costo_producto, $saldo_total, $cant_saldo, $costo_saldo, $nuevo_saldo, $date_added, $users, $tipo);
        // FIN
        // ACTUALIZA EN EL STOCK
        $sql2    = mysqli_query($conexion, "select * from productos where id_producto='" . $id_producto . "'");
        $rw      = mysqli_fetch_array($sql2);
        $old_qty = $rw['stock_producto']; //Cantidad encontrada en el inventario
        $new_qty = $old_qty - $cantidad; //Nueva cantidad en el inventario
        $update  = mysqli_query($conexion, "UPDATE productos SET stock_producto='" . $new_qty . "' WHERE id_producto='" . $id_producto . "' and inv_producto=0"); //Actualizo la nueva cantidad en el inventario
        $nums++;
    }
    // Fin de la consulta Principal
    $total_factura    = $subtotal + $total_impuesto;
    $insert     = "INSERT INTO facturas_traslados VALUES (NULL,'$factura','$date_added','$id_vendedor','$condiciones','$total_factura','0','$users','$id_sucursal','$id_sucursal2','$id_comp','0')";
    $factura_id = '';
    if ($conexion->query($insert) === true) {
        $factura_id          = $conexion->insert_id;
        $valid['id_factura'] = $factura_id;
    }
    $imprimir = "printFactura('$factura_id')";

    $delete = mysqli_query($conexion, "DELETE FROM tmp_traslado WHERE session_id='" . $session_id . "' and sucursal_tmp='" . $sucursal_users . "'");
    // SI TODO ESTA CORRECTO
    if ($insert_detail) {
        echo "<script>
        $('#outer_comprobante').load('../ajax/carga_correlativos.php');
        $('#resultados5').load('../ajax/carga_num_trans.php')
    $('#modal_vuelto').modal('show');
    $('#id_sucursal' ).val(1);
    $('#resultados6').load('../ajax/carga_comprobantes.php');
    $('#outer_comprobante').load('../ajax/carga_correlativoDefault.php');
</script>";
        #$messages[] = "Venta  ha sido Guardada satisfactoriamente.";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
        foreach ($errors as $error) {
            echo $error;
        }
        ?>
    </div>
<?php
}
if (isset($messages)) {

?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
        foreach ($messages as $message) {
            echo $message;
        }
        ?>
    </div>
<?php
}

?>
<!-- Modal -->
<div class="modal fade" id="modal_vuelto" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><i class='fa fa-edit'></i> Traslado</h4>
            </div>
            <div class="modal-body" align="center">
                <strong>
                    <h3>FACTURA</h3>
                </strong>
                <div class="alert alert-info" align="center">
                    <strong>
                        <h1>
                            <?php echo $factura; ?>
                        </h1>
                    </strong>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" id="imprimir" class="btn btn-success btn-block btn-lg waves-effect waves-light" onclick="<?php echo $imprimir; ?>"><span class="fa fa-print"></span> Imprimir</button>
            </div>
        </div>
    </div>
</div>